Menu icon Foundation

Designer | Kelowna, BC, Canada

My Posts

No Content

My Comments

Neil Haskins commented on Alex Plaza's post over 5 years

I believe I have the solution. When I installed git this morning I chose the (recommended) option to only have it available from the git command line, thus it didn't work from the node.js command line, and I saw the same error as above. Just reinstall git and choose to have it available from the windows command line. That's what I did, and it worked for me. (Also, note that once you've created your new site you'll need to run "compass watch" for it to generate your css from your scss).

Neil Haskins commented on Alex Plaza's post over 5 years

This is the exact same issue I'm having, and unfortunately Mr. Dufourcq's suggestion has not worked for me either.

Neil Haskins commented on Gary "Lee" Clark, II's post over 5 years

The "System Requirements" at http://foundation.zurb.com/docs/sass.html say you need ruby version 1.9+, that may be your issue (but I haven't been able to install either so...)

Neil Haskins commented on Gordon Saxby's post over 5 years

"Initialize foundation" means the following code:
HTML
<script>
$(document).foundation();
</script>

Which tells the web browser to run foundation when the page loads.

I have the same issue as Mr. Saxby: how do we update the sass files?

Posts Followed

No Content

Following

    No Content

Followers

My Posts

No Content

My Comments

You commented on Alex Plaza's post over 5 years

I believe I have the solution. When I installed git this morning I chose the (recommended) option to only have it available from the git command line, thus it didn't work from the node.js command line, and I saw the same error as above. Just reinstall git and choose to have it available from the windows command line. That's what I did, and it worked for me. (Also, note that once you've created your new site you'll need to run "compass watch" for it to generate your css from your scss).

You commented on Alex Plaza's post over 5 years

This is the exact same issue I'm having, and unfortunately Mr. Dufourcq's suggestion has not worked for me either.

You commented on Gary "Lee" Clark, II's post over 5 years

The "System Requirements" at http://foundation.zurb.com/docs/sass.html say you need ruby version 1.9+, that may be your issue (but I haven't been able to install either so...)

You commented on Gordon Saxby's post over 5 years

"Initialize foundation" means the following code:
HTML
<script>
$(document).foundation();
</script>

Which tells the web browser to run foundation when the page loads.

I have the same issue as Mr. Saxby: how do we update the sass files?

Posts Followed

No Content

Following

  • No Content

Followers

  • No Content